## xdiagnose 3.6.3build2

=== Makefile ===
APPNAME=xdiagnose
APPURL=http://launchpad.net/xdiagnose

# Run all the tests
check:
	./run-tests

clean:
	rm -rf doc/api
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*~' -print0 | xargs -0 rm -f

# Check for common & easily catchable Python mistakes.
pyflakes:
	pyflakes $(APPNAME)

# Check for coding standard violations.
pep8:
	find . -name '*.py' -print0 | xargs -0 pep8 --ignore E221,E222
	find . -name '*.py' -print0 | xargs -0 pep8 --ignore E221,E222 --repeat | wc -l

apidocs:
	pydoctor --add-package $(APPNAME) \
		--make-html --html-output=doc/api \
		--project-name=$(APPNAME) \
		--project-url=$(APPURL)

lint: pyflakes pep8

.PHONY: check lint pyflakes pep8 apidocs clean

# Ignore pyflakes exit code so pep8 will run for 'make lint'
.IGNORE: pyflakes

## xdiagnose 0.3

=== debian/changelog ===
xdiagnose (0.3) oneiric; urgency=low

  * debian/control, debian/rules: Convert to dh_python2 instead of
    python-support.
    (LP: #784885)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 10 Jun 2011 18:09:32 -0700

xdiagnose (0.2-0ubuntu2) natty; urgency=low

  * xdiagnose/XDiagnoseApplet.py:  Disable the grub text mode feature.
    Since this feature involves adding another line to the grub config,
    turning this back off gets a bit complicated.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 07 Apr 2011 23:27:52 -0700

xdiagnose (0.2-0ubuntu1) natty; urgency=low

  * control, rules, copyright: Switch to CDBS packaging
  * control: Drop glade dependency (not needed with new quickly templates)
  * bin/xdiagnose, xdiagnose/XDiagnoseApplet.py:
    + Fix failure to run due to missing python library file.  Narrow
      tool's scope down to just kernel param editing for X debugging.
    + Add options for turning on kernel drm debugging and disabling splash
    + Add option for working around nvidia memory bug
    + Add option for working around vesafb conflict bugs
    + Add option to force grub to use text mode, for working around vesafb
      transition issues.

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 06 Apr 2011 19:29:30 -0700

xdiagnose (0.1-0ubuntu2) natty; urgency=low

  * Add dependencies on gtk and glade libraries
    (LP: #672996)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 17 Dec 2010 11:16:43 -0800

xdiagnose (0.1-0ubuntu1) natty; urgency=low

  * Initial release.

    This package breaks out the xorg FailsafeX application to its own
    package.  Since FailsafeX is not used by Debian, this helps reduce the
    divergence of Ubuntu's xorg package with them.  Also, having it a
    standalone package should help with testing.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 04 Nov 2010 16:26:31 -0700

=== debian/control ===
Source: xdiagnose
Section: python
Priority: extra
Build-Depends:
 cdbs (>= 0.4.90~),
 debhelper (>= 6),
 python (>= 2.6.6-3~),
 intltool,
 python-distutils-extra (>= 2.10)
Maintainer: Bryce Harrington <bryce@ubuntu.com>
Standards-Version: 3.9.1
Homepage: http://wiki.ubuntu.com/X

Package: xdiagnose
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-gtk2,
 python-launchpad-integration,
 python-distutils-extra,
 apport,
 intel-gpu-tools
Replaces:
 xserver-xorg-video-intel (<= 2:2.14.0-4ubuntu7.1),
 xorg (<= 1:7.6+4ubuntu3)
Description: X.org diagnosis tool
 This package is a friendly GUI application for diagnosing several
 common X.org problems on Ubuntu.

=== debian/rules ===
#!/usr/bin/make -f
DEB_PYTHON_SYSTEM := pysupport

# TODO: Change this to plain dh

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
# langpack.mk is relevant on Ubuntu only, not Debian; it does not matter if it's missing
-include /usr/share/cdbs/1/rules/langpack.mk

override_dh_auto_install:
	install -d $(CURDIR)/debian/tmp/usr/share/apport
	install -m 755 debian/apport-gpu-error-intel.py $(CURDIR)/debian/tmp/usr/share/apport

# TODO: Not sure what this is needed for
#        dh_installinit -px11-common --no-start --upstart-only --name failsafe-x

## xdiagnose 0.5

=== debian/changelog ===
xdiagnose (0.5) oneiric; urgency=low

  * debian/control, debian/rules: Convert from cdbs to dh7. Before it tried to
    mix cdbs includes and override_* stanzas, which doesn't work. Also fix the
    source directory of apport-gpu-error-intel.py. This makes the installation
    of the setup.py bits actually work (such as the Python module).
  * debian/rules: Drop override for installing apport-gpu-error-intel.py. Do
    that in debian/xdiagnose.install instead.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jun 2011 12:53:17 +0200

xdiagnose (0.4) oneiric; urgency=low

  * debian/rules: Drop usage of pysupport, as we dropped it from the build
    depends. Fixes FTBFS.
  * debian/control: Drop python-distutils-extra dependency, this is just a
    build dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jun 2011 12:40:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: extra
 Build-Depends:
- cdbs (>= 0.4.90~),
- debhelper (>= 6),
+ debhelper (>= 7.0.50~),
+ dh-translations,
  python (>= 2.6.6-3~),
  intltool,
  python-distutils-extra (>= 2.10)
@@ -18,7 +18,6 @@
  ${python:Depends},
  python-gtk2,
  python-launchpad-integration,
- python-distutils-extra,
  apport,
  intel-gpu-tools
 Replaces:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2,translations

# TODO: Not sure what this is needed for
#        dh_installinit -px11-common --no-start --upstart-only --name failsafe-x

## xdiagnose 1.6

=== debian/changelog ===
xdiagnose (1.6) oneiric; urgency=low

  * Correct X availability check.  Needs to use gi rather than pygtk.
  * Extract BUG/OOPS/ERROR messages from dmesg and display in GUI
  
 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 05 Oct 2011 17:41:45 -0700

xdiagnose (1.5) oneiric; urgency=low

  * Check if X is up before trying to do GUI stuff
    (LP: #829607)
  * Fix crash (ValueError) when running apport hook as root.  Thanks Chris
    Bainbridge.
    (LP: #844733)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 05 Oct 2011 11:46:12 -0700

xdiagnose (1.4) oneiric; urgency=low

  * failsafeXServer:
    - Detect and use fbdev where appropriate.
    - Don't take md5sum of xorg.conf if it isn't there.
    - Accept display manager name as first argument
  * debian/failsafe-x.upstart:  Pass display manager to failsafeXServer
  * bin/xrandr-tool: New utility to parse output from xrandr
  * data/workloads/: Add workloads to exercise xrandr functionalities
  * xdiagnose:
    - Button for viewing Xorg.0.log error messages
    - Button for filing a bug report against xorg

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 29 Aug 2011 18:52:17 -0700

xdiagnose (1.3) oneiric; urgency=low

  * Bump the Replaces versioning to be << 1:7.6+7ubuntu1, the first version
    with the xorg apport hook split out.  Fixes upgrades from Natty when
    natty-updates are enabled. (LP: #865083)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 03 Oct 2011 17:54:30 +1100

xdiagnose (1.2) oneiric; urgency=low

  * add support to the xorg apport hook for the new nux caching method:
    (LP: #842656)
    - unconditionaly rerun the test and ignore the cache
    - attach available cache files if present

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Sep 2011 17:55:45 +0200

xdiagnose (1.1) oneiric; urgency=low

  [Michael Vogt]
  * add missing replaces on x11-common

  [Bryce Harrington]
  * rules, failsafe-x.upstart: Change failsafe-x from gdm to lightdm
  * apport hooks
    - Display debug output when invoked directly
    - Include lsinput and dmidecode for input bugs
    - Move scripts into an apport/ directory
    - Correct duplicate installation of the gpu hook
  * bin/dpkg-log-summary: New script to parse /var/log/dpkg.log and
    display data in a slightly more comprehensible fashion.
  * data/workloads/: Add a set of scripts to generate various types of
    stresses on the system, to assist in reproducing bugs.
  * data/failsafe*: Move into the data subdir so DistUtilsExtra.auto
    will auto-install them properly.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 19 Aug 2011 12:15:43 -0700

xdiagnose (1.0) oneiric; urgency=low

  * apport hooks
    - Title false gpu lockup bugs as 'False GPU lockup'
  * control:  Up the replaces version to account for -intel SRUs
    (LP: #824023)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 11 Aug 2011 12:18:12 -0700

xdiagnose (0.9) oneiric; urgency=low

  * apport hooks
    - ui.choice() returns an array of results, not a scalar
    - Avoid attaching display manager files if the log directory isn't there
    - Enable user to tag bugs to indicate if its a regression, they know a
      workaround or fix, etc.
    - Clarify other user-visible messages
  * xdiagnose applet
    - Cleanup codebase
  * failsafeXServer
    - Write logs to /var/log/, not /var/log/gdm/
    - Fix run log detection
  * failsafeXinit
    - Update for lightdm
    - General cleanup

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 19 Jul 2011 19:10:01 -0700

xdiagnose (0.8) oneiric; urgency=low

  * apport hooks
    - Exit if user clicked cancel
    - fix incorrect variable name, causing bug filing to fail with traceback
      "NameError: global name 'choice' is not defined"
    - couple minor clarifications
    - Set false gpu hang bug titles to 'False GPU lockup'
    - Include dpkg.log in all reports.  We get many bugs reported to X.org
      that are regressions in other packages outside X; this will help
      identify what the true cause might have been.
    - Add a --stdout option to facilitate testing
  * run-tests: Support running bash tests
  * tests/test_apport_gpu_hook, tests/test_source_xorg:  Add basic
    test checks for the apport hooks.
  * pci_device.py: Add NOUVEAU to list of supported drivers in PCI ID table

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 19 Jul 2011 14:17:00 -0700

xdiagnose (0.7) oneiric; urgency=low

  * source_xorg.py:
    + Add lightdm log files
    + Add plymouth log files
    + Add -evdev version
    + Ask a few basic questions for gpu hang bugs
    + Segregate users willing to do additional testing and debugging
  * pci_device.py:  Add a PCI ID lookup module
  * apport-gpu-error-intel.py:  Generate signature from i915_error_state file
  * run-tests, tests/*: Add tests to do some basic checks.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 30 Jun 2011 01:06:20 -0700

xdiagnose (0.6) oneiric; urgency=low

  * xdiagnose/*.py, bin/xdiagnose: Port from pygtk to PyGI and GTK 3.
  * debian/control: Update dependencies for GI. Drop
    python-launchpad-integration, it's not being used right now. Once it is,
    this needs to use gir1.2-launchpad-integration-3.0.
  * debian/control: Bump python-distutils-extra build dependency to >= 2.28 to
    ensure that we don't use 2.27 (which causes an FTBFS).
  * debian/control: Bump Standards-Version to 3.9.2, no changes necessary.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jun 2011 13:47:16 +0200

## xdiagnose 1.6.1

=== debian/changelog ===
xdiagnose (1.6.1) oneiric-proposed; urgency=low

  * apport/source_xorg.py:
    - Drop question to allow flagging regressions
      following updates, since bug reporters have been using it incorrectly,
      resulting in too many false positives.
      (LP: #1018510)
    - Clarify question about "willing to do whatever it takes" to specify
      that the debugging work may require gdb or git bisection work.
    - Link to all technical support options, not just to Ask Ubuntu.
      (LP: #991602)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 27 Jun 2012 10:47:58 -0700

=== debian/control ===
Source: xdiagnose
Section: python
Priority: extra
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-translations,
 python (>= 2.6.6-3~),
 intltool,
 python-distutils-extra (>= 2.28)
Maintainer: Bryce Harrington <bryce@ubuntu.com>
Standards-Version: 3.9.2
Homepage: http://wiki.ubuntu.com/X

Package: xdiagnose
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-gobject (>= 2.28),
 gir1.2-gtk-3.0,
 apport,
 intel-gpu-tools
Replaces:
 xserver-xorg-video-intel (<= 2:2.14.0-4ubuntu8),
 xorg (<< 1:7.6+7ubuntu1),
 x11-common (<< 1:7.6+7ubuntu1)
Description: X.org diagnosis tool
 This package is a friendly GUI application for diagnosing several
 common X.org problems on Ubuntu.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2,translations

override_dh_install:
	dh_installinit -px11-common --no-start --upstart-only --name failsafe-x
	mv debian/xdiagnose/usr/share/apport/package-hooks/apport-gpu-error-intel.py \
	   debian/xdiagnose/usr/share/apport/

## xdiagnose 2.5

=== debian/changelog ===
xdiagnose (2.5) precise; urgency=low

  * apport hook fixes:
    - Fix missing Xorg.0.log, xorg.conf, etc. files for bugs filed against
      input packages.
    - Fix inclusion of lightdm logs, which were recently renamed in lightdm.
    - Fix reversed logic for inclusion of keyboard data on input bugs
    - Fix reporting gpu lockups without signatures.  These aren't
      actionable bug reports since there is no indicated error.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 13 Apr 2012 13:13:26 -0700

xdiagnose (2.4) precise; urgency=low

  * Fix 'sys is not defined' error.  Occurs if grub config is
    inaccessible.
    (LP: #961520)
  * Fix scripts to be executable.
    (LP: #966649)
  * apport hook fixes:
    - Refresh list of X.org package apport hooks to match all packages the
      ubuntu-x-team is subscribed to as of LTS 12.04 pre-freeze date.
    - Drop inclusion of gdm logs.  Since Ubuntu uses lightdm now, these
      files are no longer needed.
    - Fix generation of nvidia-bug-report.log.gz.  Executable had the
      wrong path, so bug reports were being filed without this file.
      It is required for forwarding bugs to NVIDIA.
    - Add a --force arg, to enable the gpu hook test to run even if
      apport has been disabled on the system.  Enables test suite to
      pass all tests on Precise.
  * Add an xpci script to display device/driver info

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 04 Apr 2012 13:30:31 -0700

xdiagnose (2.3) precise; urgency=low

  * Fix crash due to undefined utils.screen.  Add utils module to
    setup script.
    (LP: #959841)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 20 Mar 2012 10:47:38 -0700

xdiagnose (2.2) precise; urgency=low

  * apport hook fixes:
    + Fix tagging of compiz bugs.  Only include the tag if we can extract
      a valid number from the compiz --version string.
      (LP: #927343)
    + Use main.log instead of apt.log for determining last major upgrade.
  * failsafe-X fixes:
    + Fix broken reconfigure option in failsafe-X scripts.  Drop command to
      call Xorg -configure.  In addition to not working in this case, when
      it does work it generates a xorg.conf that would never work.
      (LP: #565490)
    + Fix broken keyboard/mouse input when entering failsafe-X mode, by
      dropping the vt7 workaround (which no longer appears needed.)
      (LP: #914038)
  * xdiagnose applet fixes:
    + Fix crash with KeyError in run(): 'quiet' by checking key existance
      before deleting.
      (LP: #946836)
    + Fix non-closable error listings window, by converting main window from
      a Dialog to a Window.
      (LP: #941882)
    + Fix ^C in terminal to terminate the program.
    + Fix strings to not refer directly to Ubuntu, so can be more easily
      used in derivatives.
      (LP: #495253)
    + Fix crash about /etc/default/grub being unwritable.  Check file
      existance on startup and exit if it isn't present.
      (LP: #946309)
    + Fix test failure in config_update removing a non-existant key.
      Check for it before removal.

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 14 Mar 2012 13:14:31 -0700

xdiagnose (2.1) precise; urgency=low

  [ Bryce Harrington ]
  * Preliminary redesign of failsafe-x dialog

  [ Gabor Kelemen ]
  * Enable better i18n support
    (LP: #913802)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 11 Jan 2012 17:50:18 +0100

xdiagnose (2.0) precise; urgency=low

  * debian/control: Drop dependence on transitional python-gobject in
    favor of python-gi.
  * Avoid deleting keys from dict that don't exist.  Fixes crash with
    missing 'nopat'.
    (LP: #903484)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 11 Jan 2012 15:40:02 +0100

xdiagnose (1.9) precise; urgency=low

  * debian/control: Add versioned Conflicts: to x11-common, to ensure that we
    don't unpack xdiagnose with a changed /etc/init/failsafe-x.conf conffile
    before the new x11-common preinst has a chance to remove its own obsolete
    one.
    (LP: #903143)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Dec 2011 10:31:58 +0100

xdiagnose (1.8) precise; urgency=low

  * rules:  Fix dh_installinit to actually install the upstart rule
    (LP: #876031)
  * failsafeXServer:  Always generate a new xorg.conf.failsafe.
  * control:  Drop apport dependency
    (LP: #888749)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 02 Dec 2011 17:46:11 -0800

xdiagnose (1.7) precise; urgency=low

  * Add data/media/microscope.svg - icon for program.  Icon derived from
    microscope image by flooredmusic on OpenClipart.org (public domain
    image).
  * Include datetime module
    (LP: #881840)
  * Drop user notification of past manually-installed nvidia packages.
    The packaging scripts do a better job catching this now, and this
    logic can produce false-positives sometimes.
    (LP: #847601)
  * Properly substitute $xorg_backup_file variable in failsafe-x
    (LP: #575873)

  [Chad Miller]
  * Improve wording of 'development is complete' dialog.
    (LP: #891645)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 05 Oct 2011 19:36:24 -0700

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
 Depends:
  ${misc:Depends},
  ${python:Depends},
- python-gobject (>= 2.28),
+ python-gi (>= 2.28),
  gir1.2-gtk-3.0,
- apport,
  intel-gpu-tools
 Replaces:
  xserver-xorg-video-intel (<= 2:2.14.0-4ubuntu8),
  xorg (<< 1:7.6+7ubuntu1),
  x11-common (<< 1:7.6+7ubuntu1)
+Conflicts: x11-common (<< 1:7.6+7ubuntu1)
 Description: X.org diagnosis tool
  This package is a friendly GUI application for diagnosing several
  common X.org problems on Ubuntu.

## xdiagnose 2.5.2ubuntu0.1

=== debian/changelog ===
xdiagnose (2.5.2ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: fix insecure temporary file creation
    - xdiagnose/welcome.py: remove 'Archive' option and on_make_archive()
      as people should be using 'ubuntu-bug xorg' anyway. Patch thanks
      to Bryce Harrington.
    - CVE-2012-XXXX
    - LP: #1036211

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Oct 2012 17:04:28 -0500

xdiagnose (2.5.2) precise-proposed; urgency=low

  * apport/source_xorg.py:
    - Drop question to allow flagging regressions
      following updates, since bug reporters have been using it incorrectly,
      resulting in too many false positives.
      (LP: #1018510)
    - Clarify question about "willing to do whatever it takes" to specify
      that the debugging work may require gdb or git bisection work.

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 27 Jun 2012 10:18:45 -0700

xdiagnose (2.5.1) precise-proposed; urgency=low

  * xdiagnose.udev: Disable GPU apport hook from being triggered by udev.
    This should only be enabled during the development period.  Apport is
    disabled after release, but it appears the hook still gets triggered
    under certain circumstances.
    (LP: #1009971, #997470)
  * apport/source_xorg.py: Link to all technical support options, not just
    to Ask Ubuntu.  Reword recommendation to explain why technical support
    should be used first.  Add a 'referred-by-support' tag so we can give
    those bugs priority attention.  Provide an option to just file the bug.
    (LP: #991602)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 15 Jun 2012 11:39:10 -0700

## xdiagnose 2.5.3

=== debian/changelog ===
xdiagnose (2.5.3) precise-proposed; urgency=low

  * bin/xdiagnose:  Exit with error if run as non-root.  Otherwise, the
    program will crash when it tries to write a new grub configuration.
    (LP: #769419)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 23 Apr 2013 15:13:13 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2,translations

override_dh_installinit:
	dh_installinit --no-start --upstart-only --name failsafe-x
	mv debian/xdiagnose/usr/share/apport/package-hooks/apport-gpu-error-intel.py \
	   debian/xdiagnose/usr/share/apport/

## xdiagnose 3.2

=== debian/changelog ===
xdiagnose (3.2) quantal; urgency=low

  * bin/*: When run within trunk, use trunk modules
  * failsafe-x: Remove the (obsolete) archive generation functionality.
    Users should use `ubuntu-bug xorg` instead in this case.
    (LP: #1036211)
  * control: Depend on python3-apport since apport hooks have been
    converted to python3.
    (LP: #1056837)
  * apport/source_xorg.py: Don't prompt with support questions for
    auto-collected crash bugs.
    (LP: #1036114)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 25 Sep 2012 11:16:30 -0700

xdiagnose (3.1) quantal; urgency=low

  * control: Move intel-gpu-tools to recommends to fix FTBS
  * Force Xorg.0.log encoding to bytes to work around UTF-8 issues
    (LP: #1041104)
  * Drop unused and undefined i18n calls
    (LP: #1046991)
  * Use gksudo to gain elevated permissions required by xdiagnose
    (LP: #769419)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 28 Aug 2012 15:39:01 -0700

xdiagnose (3.0) quantal; urgency=low

  * Rename general.lib to bubu.lib (Bash UBuntu Utilities)
  * x_pkg_names.py:  Add module for determining upstream name for debian package
  * xorglog.py: Add module for parsing the Xorg.0.log file
  * pci_devices.py:  Update intel, poulsbo, ati, and nvidia PCI IDs
  * xdiagnose: Fix --version to print the version
  * xpci: Fix python3 byte->str conversion error
  * apport/source_xorg.py:
    - Fix python3 conversion issue finding string in bytes
    - Improve grammar/punctuation in a couple dialogs
  * debian/control: Add dependency on librsvg2-common for icon
    (LP: #1026752)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 15 Aug 2012 13:44:38 -0700

xdiagnose (2.9) quantal; urgency=low

  * xdiagnose.udev: Make the GPU apport hook trigger on RESET=1 rather
    than ERROR=1, as an attempt to prevent capturing bug reports on false
    gpu lockups.
    (LP: #983640)
  * apport/source_xorg.py:
    - Link to all technical support options, not just to Ask Ubuntu.
      Reword recommendation to explain why technical support should be used
      first.  Add a 'referred-by-support' tag so we can give those bugs
      priority attention.  Provide an option to just file the bug.
      (LP: #991602)
    - Drop question to allow flagging regressions
      following updates, since bug reporters have been using it incorrectly,
      resulting in too many false positives.
      (LP: #1018510)
    - Clarify question about "willing to do whatever it takes" to specify
      that the debugging work may require gdb or git bisection work.
  * xdiagnose.desktop.in: Move xdiagnose to System/Settings menu.  Provide
    a GenericName.  Set the gettext domain.
  * debian/control: Add runtime dependency on librsvg2, required for
    displaying SVG icons.
    (LP: #969603)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 19 Jun 2012 14:26:04 -0700

xdiagnose (2.8) quantal; urgency=low

  * Drop out-of-tree python2 module
    (LP: #1013911)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 15 Jun 2012 19:29:56 -0700

xdiagnose (2.7) quantal; urgency=low

  [ Oliver Grawert ]
  * port all program code to new python3 conventions
  * adjust shebang lines for all python scripts to use python3
  * update debian/rules and control for python3 support
  * remove unused debian/pycompat file
  * switch test suite to python3
  * make test suite skip testing of directories
  * add dependency on python3-apport
  * make launchpadlib usage optional until it is ported to python3
  * adjust apport-gpu-error-intel.py for new apport API
  * xdiagnose/applet.py fix string handling of subprocess.Popen
  * fixes (LP: #1013171)

  [ Bryce Harrington ]
  * Add a couple preliminary edid tools
  * Fix apt_install to not use chroots
  * Install general.lib
  * Don't show xdiagnose in the menu (LP: #994048)
  * Build depend on both py2 and py3 versions of distutils-extra, required by dh_auto_clean 
  
 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 14 Jun 2012 11:00:23 -0700

xdiagnose (2.6) quantal; urgency=low

  * Add general.lib to consolidate common bash functions
  * Add Makefile to generate API docs with pydoctor
  * apport-gpu-error-intel.py: Use --force to override certain early exits in gpu hook.
  * control: Add explicit depends on apport for apport.hookutils
  * rules: Force python_distutils as build system
  
 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 16 May 2012 22:13:53 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: xdiagnose
 Section: python
 Priority: extra
+X-Python3-Version: >= 3.2
 Build-Depends:
  debhelper (>= 7.0.50~),
  dh-translations,
- python (>= 2.6.6-3~),
+ python3 (>= 3.2),
+ python3-all,
  intltool,
- python-distutils-extra (>= 2.28)
+ apport,
+ python-distutils-extra (>= 2.32-2),
+ python3-distutils-extra (>= 2.32-2),
 Maintainer: Bryce Harrington <bryce@ubuntu.com>
 Standards-Version: 3.9.2
 Homepage: http://wiki.ubuntu.com/X
@@ -15,9 +19,14 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python:Depends},
- python-gi (>= 2.28),
+ ${python3:Depends},
+ python3-gi (>= 3.2.0-3),
  gir1.2-gtk-3.0,
+ python3-apport,
+ librsvg2-2,
+ librsvg2-common,
+ gksu
+Recommends:
  intel-gpu-tools
 Replaces:
  xserver-xorg-video-intel (<= 2:2.14.0-4ubuntu8),

## xdiagnose 3.2.2

=== debian/changelog ===
xdiagnose (3.2.2) quantal-proposed; urgency=low

  * xpci: Conditionalize text decode syntax if defaulting to python2 instead of
    python3.
    (LP: #1098390)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 29 Jan 2013 12:48:59 -0800

xdiagnose (3.2.1) quantal-proposed; urgency=low

  * xpci: Fix two string errors and an import error to enable script to
    run properly.
    (LP: #1098390)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 10 Jan 2013 17:25:06 -0800

## xdiagnose 3.2.4

=== debian/changelog ===
xdiagnose (3.2.4) quantal-proposed; urgency=low

  * bin/xdiagnose:  Exit with error if run as non-root.  Otherwise, the
    program will crash when it tries to write a new grub configuration.
    (LP: #769419)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 23 Apr 2013 13:42:40 -0700

xdiagnose (3.2.3) quantal-proposed; urgency=low

  * xdiagnose.udev: Disable GPU apport hook from being triggered by udev.
    This should only be enabled during the development period.  Apport is
    disabled after release, but it appears the hook still gets triggered
    under certain circumstances.
    (LP: #1073626)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 14 Feb 2013 12:38:26 -0800

## xdiagnose 3.4.3

=== debian/changelog ===
xdiagnose (3.4.3) raring; urgency=low

  [ Bryce Harrington ]
  * apport/source_xorg.py:
    + Fix assertion in apport when assigning a None value for the
      xserver.configfile parameter.  This may not be defined if there is no
      xorg.conf (a common situation).
    + Fix HookError when specifying a gpu hang is 'infrequent'
    + Drop the post-release dialog recommending technical support
      (LP: #1080233, #1005573)
    + Add capturing of gsettings options for unredirected fullscreen windows
  * debian/xdiagnose.links:
    + Add lts-quantal X.org packages

  [ Michael Terry ]
  * Switch from gksu to pkexec
    (LP: #421660)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 13 Feb 2013 18:38:28 -0800

xdiagnose (3.4.2) raring; urgency=low

  * control: Add Conflicts for ubuntu-defaults-nexus7 <= 0.39, since
    xrotate was in that package previously.
    (LP: #1101842)
  * apport/source_xorg.py: Don't rely on __file__ for locating modules
    from the package; instead catch the import errors and skip use of the
    feature.
    (LP: #1101800)

 -- Bryce Harrington <bryce@ubuntu.com>  Sat, 19 Jan 2013 11:59:08 -0800

xdiagnose (3.4.1) raring; urgency=low

  * Fix python3 issues
    (LP: #1101688)

 -- Bryce Harrington <bryce@ubuntu.com>  Sat, 19 Jan 2013 01:26:24 -0800

xdiagnose (3.4) raring; urgency=low

  * bin/xrotate: Add new script to manually rotate screen and input.
    Designed for the Nexus 7 tablet; will need extended to support other
    devices.
  * bin/xedid: Add new script for viewing and installing EDID files into
    firmware.
    + Fixes situation where EDID is unavailable, corrupted, or invalid
      (LP: #575985)
    + Fixes situation where KVM corrupts the EDID the monitor provides.
      (LP: #992346)
  * bin/xpci: Fix two string issues so xpci will run.
    (LP: #1098390)
  * apport/source_xorg.py: Gracefully skip Xorg.0.log parsing if the
    parsing fails.
    (LP: #1098395)
  * apport/apport-gpu-error-intel.py: Gracefully skip DMI parsing if
    the parsing fails.
    (LP: #1062042)
  * xdiagnose/applet.py: Fix bug where a stray =1 gets added to
    GRUB_CMDLINE_LINUX_DEFAULT.
    (LP: #954123)
  * tests: Add sample Xorg.*.log files rather than using the on-disk one

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 09 Jan 2013 18:17:24 -0800

xdiagnose (3.3) raring; urgency=low

  * apport/source_xorg.py: Integrate use of the Xorg log parsing module to
    display summary info parsed from Xorg.0.log.
    (LP: #1035499)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 04 Oct 2012 16:39:43 -0700

## xdiagnose 3.5

=== debian/changelog ===
xdiagnose (3.5) raring-proposed; urgency=low

  * apport/source_xorg.py:
    + Catch exceptions thrown from attach_hardware() call, such as for
      errors in unicode handling.
      (LP: #1168206)
    + Only prompt for generating an nvidia-bug-report.log.gz in user
      interactive sessions (i.e. check that ui is defined.)
      (LP: #1163635)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 11 Apr 2013 18:53:27 -0700

xdiagnose (3.4.4) raring; urgency=low

  * debian/xdiagnose.udev: Disable gpu apport hook for raring release
    (LP: #1073626)
  * apport/apport-gpu-error-intel.py:
    - Bail if not on a devel release (LP: #1071278)
    - Skip over failure accessing apt cache (LP: #1103061)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 01 Apr 2013 18:54:09 -0700

## xdiagnose 3.5.1

=== debian/changelog ===
xdiagnose (3.5.1) raring-proposed; urgency=low

  * bin/xdiagnose:  Exit with error if run as non-root.  Otherwise, the
    program will crash when it tries to write a new grub configuration.
    (LP: #769419)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 23 Apr 2013 14:15:03 -0700

## xdiagnose 3.6.1

=== debian/changelog ===
xdiagnose (3.6.1) saucy; urgency=low

  * debian/xdiagnose.udev: Disable apport hook again.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 14 Oct 2013 09:06:55 +0200

xdiagnose (3.6) saucy; urgency=low

  [ Bryce Harrington ]
  * xedid:
    + Make -h display the proper usage information
    + refactoring: move firmware operations to an EdidFirmware class
    + Clarify documentation
    + Implement uninstall and deactivate API

  [ Maarten Lankhorst ]
  * debian/xdiagnose.udev: Re-enable apport hook for saucy.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 02 Sep 2013 09:43:11 +0200

## xdiagnose 3.6.3build2

=== debian/changelog ===
xdiagnose (3.6.3build2) trusty; urgency=medium

  * Rebuild against Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 09:59:55 +0100

xdiagnose (3.6.3build1) trusty; urgency=medium

  * Rebuild against Python 3.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Mar 2014 16:22:07 +0000

xdiagnose (3.6.3) trusty; urgency=medium

  * debian/xdiagnose.udev: Disable apport hook again.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 12 Mar 2014 10:26:35 +0100

xdiagnose (3.6.2build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:53 +0000

xdiagnose (3.6.2) trusty; urgency=low

  * debian/xdiagnose.udev: Re-enable apport hook for trusty.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Tue, 22 Oct 2013 10:27:48 +0200

=== debian/control ===
--- 
+++ 
@@ -25,14 +25,16 @@
  python3-apport,
  librsvg2-2,
  librsvg2-common,
- gksu
+ policykit-1,
 Recommends:
  intel-gpu-tools
 Replaces:
  xserver-xorg-video-intel (<= 2:2.14.0-4ubuntu8),
  xorg (<< 1:7.6+7ubuntu1),
  x11-common (<< 1:7.6+7ubuntu1)
-Conflicts: x11-common (<< 1:7.6+7ubuntu1)
+Conflicts:
+ x11-common (<< 1:7.6+7ubuntu1),
+ ubuntu-defaults-nexus7 (<= 0.39)
 Description: X.org diagnosis tool
  This package is a friendly GUI application for diagnosing several
  common X.org problems on Ubuntu.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,23 @@
 #!/usr/bin/make -f
 
 %:
-	dh "$@" --with python2,translations
+	dh "$@" --with python2,python3,translations --buildsystem python_distutils
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf build
+
+override_dh_auto_build:
+	dh_auto_build
+	set -ex; for python in $(shell py3versions -r); do \
+	        $$python setup.py build; \
+	done
+
+override_dh_auto_install:
+	dh_auto_install
+	set -ex; for python in $(shell py3versions -r); do \
+	        $$python setup.py install --root=$(CURDIR)/debian/xdiagnose --install-layout=deb; \
+	done
 
 override_dh_installinit:
 	dh_installinit --no-start --upstart-only --name failsafe-x

## xdiagnose 3.6.6

=== debian/changelog ===
xdiagnose (3.6.6) utopic; urgency=medium

  * Disable apport hook again for utopic.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 06 Oct 2014 10:20:36 +0200

xdiagnose (3.6.5) utopic; urgency=medium

  * apport/apport-gpu-error-intel.py: include the package version in the
    Package key so that data on errors.ubuntu.com is richer.

 -- Brian Murray <brian@ubuntu.com>  Thu, 29 May 2014 08:27:55 -0700

xdiagnose (3.6.4) utopic; urgency=medium

  * debian/failsafe-x.conf: Use RESULT=failed instead of EXIT_STATUS=[!0]
    to catch more failure cases (like hitting the upstart respawn limit)
    and to allow the lightdm or gdm jobs to specify their own normal exit
    statuses.
  * debian/xdiagnose.udev: Re-enable Intel apport hook for utopic

 -- Michael Terry <mterry@ubuntu.com>  Thu, 01 May 2014 14:08:59 -0400

## xdiagnose 3.7.2

=== debian/changelog ===
xdiagnose (3.7.2) vivid; urgency=medium

  * Only fallback to xdiagnose on systemd if an installed default display
    manager is configured. Do not fail graphical.target without any dm.
    (LP: #1441883)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 09 Apr 2015 10:38:15 +0200

xdiagnose (3.7.1) vivid; urgency=medium

  * Ship xdiagnose.conf override to have graphical.target requiring
    display-manager.service and falling back to failsafe mode if
    failing.
  * Change console option to correspond to multi-user.target instead of
    rescue mode.
  * Ensure we don't start the xdiagnose failsafe target while upgrading.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 15 Dec 2014 14:30:51 +0100

xdiagnose (3.7) vivid; urgency=medium

  * add systemd failsafe mode:
    - add special failsafe-graphical.target and failsafe-x.service units
    - detect from Xinit if run under systemd and console is then rescue target
    - ship systemd units and depends on dh-systemd
  * Adapt failsafe Xinit/XServer to be able to run with lightdm without gdm
    being installed
  * Bump Standards-Version

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 08 Dec 2014 17:15:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh "$@" --with python2,python3,translations --buildsystem python_distutils
+	dh "$@" --with python2,python3,systemd,translations --buildsystem python_distutils
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -24,3 +24,5 @@
 	mv debian/xdiagnose/usr/share/apport/package-hooks/apport-gpu-error-intel.py \
 	   debian/xdiagnose/usr/share/apport/
 
+override_dh_systemd_start:
+	dh_systemd_start --no-start

## xdiagnose 3.8.1

=== debian/changelog ===
xdiagnose (3.8.1) wily; urgency=medium

  * debian/xdiagnose.links:
    - Add links for the current nvidia packages.
  * apport/source_xorg.py:
    - Don't fail if no /proc/driver/nvidia is available, as the kernel
      module might not be loaded.
    - Add a pattern to match all the nvidia driver flavours.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 05 Oct 2015 16:27:37 +0200

xdiagnose (3.8) wily; urgency=medium

  [ Didier Roche ]
  * Port and ensure scripts are running with python3 (LP: #1440564)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Jun 2015 13:47:00 -0700

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 X-Python3-Version: >= 3.2
 Build-Depends:
  debhelper (>= 7.0.50~),
+ dh-systemd,
  dh-translations,
  python3 (>= 3.2),
  python3-all,
@@ -12,7 +13,7 @@
  python-distutils-extra (>= 2.32-2),
  python3-distutils-extra (>= 2.32-2),
 Maintainer: Bryce Harrington <bryce@ubuntu.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Homepage: http://wiki.ubuntu.com/X
 
 Package: xdiagnose

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh "$@" --with python2,python3,systemd,translations --buildsystem python_distutils
+	dh "$@" --with python3,systemd,translations --buildsystem python_distutils
 
 override_dh_auto_clean:
 	dh_auto_clean

## xdiagnose 3.8.4

=== debian/changelog ===
xdiagnose (3.8.4) xenial; urgency=medium

  * links: Add -video-amdgpu and -input-libinput.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Apr 2016 13:19:34 +0300

xdiagnose (3.8.3) xenial; urgency=medium

  * Complete the port to Python 3-only.  (LP: #1440564)
  * d/control: Update Build-Depends to use pybuild and drop Python 2.
  * d/rules: Switch to --buildsystem pybuild and simplify rules.
  * d/compat: Bump to version 9.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 19 Feb 2016 08:41:53 -0500

xdiagnose (3.8.2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 12:40:02 +0100

xdiagnose (3.8.2) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Nov 2015 10:20:45 +0100

xdiagnose (3.8.1build1) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 19:37:37 +0000

## xdiagnose 3.8.4.1

=== debian/changelog ===
xdiagnose (3.8.4.1) xenial; urgency=medium

  * Use xdiagnose-pkexec helper script (like synaptic-pkexec) to
    fix xdiagnose not starting from GNOME's Activities Overview
    (LP: #1483276)
  * Install app icon in standard location (making it themeable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Aug 2016 00:55:14 -0400

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export PYBUILD_VERBOSE=1
export PYBUILD_NAME=xdiagnose

%:
	dh "$@" --with python3,systemd,translations --buildsystem pybuild

override_dh_installinit:
	dh_installinit --no-start --name failsafe-x
	mv debian/xdiagnose/usr/share/apport/package-hooks/apport-gpu-error-intel.py \
	   debian/xdiagnose/usr/share/apport/

override_dh_systemd_start:
	dh_systemd_start --no-start

## xdiagnose 3.8.5

=== debian/changelog ===
xdiagnose (3.8.5) yakkety; urgency=medium

  * Use xdiagnose-pkexec helper script (like synaptic-pkexec) to
    fix xdiagnose not starting from GNOME's Activities Overview
    (LP: #1483276)
  * Install app icon in standard location (making it themeable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Aug 2016 00:55:14 -0400

## xdiagnose 3.8.8

=== debian/changelog ===
xdiagnose (3.8.8) artful; urgency=medium

  * Move apport hooks to xserver-xorg.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Aug 2017 16:39:14 +0300

xdiagnose (3.8.7) artful; urgency=medium

  * debian/xdiagnose.links: Remove slightly outdated lts-quantal links.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Jun 2017 10:32:55 -0600

xdiagnose (3.8.6) artful; urgency=medium

  * Don't crash in xedid when /lib/firmware/edid/ is missing
    (LP: #1628283)
  * Remove pybuild build artifact from the source package
  * Remove debdiff files left over in previous upload.
  * Remove stray .bzr directory.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 07 Jun 2017 01:18:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 X-Python3-Version: >= 3.2
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
+ dh-python,
  dh-systemd,
  dh-translations,
  python3 (>= 3.2),
  python3-all,
+ python3-gi,
  intltool,
  apport,
- python-distutils-extra (>= 2.32-2),
  python3-distutils-extra (>= 2.32-2),
 Maintainer: Bryce Harrington <bryce@ubuntu.com>
 Standards-Version: 3.9.6

## xdiagnose 3.8.9

=== debian/changelog ===
xdiagnose (3.8.9) disco; urgency=medium

  * failsafeXServer: Fix checking when the server was last run, thanks
    Kevin Dalley! (LP: #1816945)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Mar 2019 15:23:57 +0200

## xdiagnose 3.8.10

=== debian/changelog ===
xdiagnose (3.8.10) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Mar 2021 17:23:24 -0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 X-Python3-Version: >= 3.2
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 9.20160709),
  dh-python,
- dh-systemd,
  dh-translations,
  python3 (>= 3.2),
  python3-all,

## xdiagnose 3.8.10ubuntu0.1

=== debian/changelog ===
xdiagnose (3.8.10ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)
  * setup.py: Fix version calculation for "ubuntu" suffix

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:49:32 +0100

## xdiagnose 3.8.10ubuntu1

=== debian/changelog ===
xdiagnose (3.8.10ubuntu1) oracular; urgency=medium

  * No change rebuild to ensure noble SRU is earlier (LP: #2075337)
  * setup.py: Fix version calculation for "ubuntu" suffix

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:49:32 +0100

## xdiagnose 3.8.12~24.04.1

=== debian/changelog ===
xdiagnose (3.8.12~24.04.1) noble; urgency=high

  [ Nathan Pratta Teodosio ]
  * setup.py: Fix error to get version if it does not have an ubuntu suffix.
  * d/xdiagnose.install: Remove 'debian/failsafe-x.service lib/systemd/system'
    line, as dh_installinit already exists in d/rules and this results in a
    double installation, which confuses dh_installinit and causes a failure
    to install the package. LP: #2083754.

  [ Dave Jones ]
  * setup.py: Fix version mangling to account for non-native suffix

 -- Dave Jones <dave.jones@canonical.com>  Wed, 04 Dec 2024 01:02:18 +0000

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 Conflicts:
  x11-common (<< 1:7.6+7ubuntu1),
  ubuntu-defaults-nexus7 (<= 0.39)
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: X.org diagnosis tool
  This package is a friendly GUI application for diagnosing several
  common X.org problems on Ubuntu.

## xdiagnose 3.8.12~24.10.1

=== debian/changelog ===
xdiagnose (3.8.12~24.10.1) oracular; urgency=high

  [ Nathan Pratta Teodosio ]
  * d/xdiagnose.install: Remove 'debian/failsafe-x.service lib/systemd/system'
    line, as dh_installinit already exists in d/rules and this results in a
    double installation, which confuses dh_installinit and causes a failure
    to install the package. LP: #2083754.

  [ Dave Jones ]
  * Remove .git rubbish accidentally introduced in last upload
  * setup.py: Fix version mangling to account for non-native suffix

 -- Dave Jones <dave.jones@canonical.com>  Tue, 03 Dec 2024 23:17:26 +0000
